Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class ClassPropertyFetcher.GetterPropertyFetcher

    java.lang.Object
      org.codehaus.griffon.runtime.core.ClassPropertyFetcher.GetterPropertyFetcher

All Implemented Interfaces:
  PropertyFetcher

    static class ClassPropertyFetcher.GetterPropertyFetcher

Field Summary
`private Method` | `readMethod`
`private boolean` | `staticMethod`

Constructor Summary
`ClassPropertyFetcher.GetterPropertyFetcher(Method readMethod, boolean staticMethod)`

Method Summary
`Object` | `get(ReferenceInstanceCallback callback)`
`Class` | `getPropertyType(String name)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### readMethod

    private final Method readMethod

### staticMethod

    private final boolean staticMethod

Constructor Detail

### ClassPropertyFetcher.GetterPropertyFetcher

    ClassPropertyFetcher.GetterPropertyFetcher(Method readMethod, boolean staticMethod)

Method Detail

### get

    public Object get(ReferenceInstanceCallback callback)

### getPropertyType

    public Class getPropertyType(String name)

Groovy Documentation